Skip to main content
GET
Get bulk bank payout
v1 (legacy). This page documents the API before the v2 update. The v1 format is not enabled for new accounts and must be enabled on your account by your account manager. New integrations should use the current documentation. To update an existing integration, follow the migration guide.

Requirements to consume the endpoint.

User approved

The user must be approved in at least one country.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Id of the bulk bank payout

Response

OK

createdAt
string

The date and time the bulk payout was created.

Example:

"2025-01-04T00:24:28.658Z"

userId
string

The unique identifier of the user.

Example:

"6757546b4c5d19bf3cd7b09c"

orderIds
string[]

List of order IDs associated with this bulk payout.

Example:
amount
number

The total payout amount across all orders.

Example:

250000

fiat
enum<string>

The fiat currency of the payout.

Available options:
MXN,
PEN,
COP,
USD
country
enum<string>

The country of the payout.

Available options:
MX,
PE,
CO
bankName
string

The name of the destination bank.

Example:

"BBVA"

CLABE
string

The CLABE number for Mexican bank accounts.

Example:

"012180015000000001"

status
enum<string>

The current status of the bulk bank payout.

Available options:
awaitingOrders,
awaitingPaymentForOrders,
awaitingAsyncPayoutRequest,
awaitingPayout,
awaitingAsyncPayout,
checkingLiquidity,
sourcingLiquidity,
liquiditySourced,
complete,
failed,
cancelled
Example:

"awaitingOrders"

payoutBankAccountId
string

The ID of the destination bank account.

Example:

"65ba521a4b3e1bd9eb6a5107"

payoutsSent
object[]

Details of individual payouts within this bulk payout.

id
string

The unique identifier of the bulk bank payout.

Example:

"677890d5d520f9ecb10e9c33"